### Method

# Gio Socket get_listen_backlog

since: 2.22

#### Declaration

    gint
    g_socket_get_listen_backlog (
      GSocket* socket
    )

#### Description

Gets the listen backlog setting of the socket. For details on this, see g_socket_set_listen_backlog().

Available since: 2.22

Gets property | `Gio.Socket:listen-backlog`

#### Return value

Type: `gint`

The maximum number of pending connections.